<?php

namespace Slovocast\Domain\Repository\Image;

use Slovocast\Domain\RepositoryInterface;
use Slovocast\Domain\Entity\Image;

interface ImageRepositoryInterface extends RepositoryInterface
{
    public function get(int $id): Image;
    public function getFromUrl(string $url): Image;
    public function create(Image $image): Image;
    public function update(Image $image): bool;
    public function delete(Image $image): bool;
}
